aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/klayout/ChangeLog7
-rw-r--r--sci-electronics/klayout/Manifest10
-rw-r--r--sci-electronics/klayout/files/klayout-0.19.3-Makefile.conf.linux-gentoo42
-rw-r--r--sci-electronics/klayout/files/klayout-0.19.3-configureonly.patch37
-rw-r--r--sci-electronics/klayout/files/klayout-0.20-Makefile.conf.linux-gentoo42
-rw-r--r--sci-electronics/klayout/files/klayout-0.20-configureonly.patch37
-rw-r--r--sci-electronics/klayout/klayout-0.19.3.ebuild82
-rw-r--r--sci-electronics/klayout/klayout-0.20.ebuild82
-rw-r--r--sci-electronics/klayout/metadata.xml8
9 files changed, 347 insertions, 0 deletions
diff --git a/sci-electronics/klayout/ChangeLog b/sci-electronics/klayout/ChangeLog
new file mode 100644
index 000000000..0d3ef9450
--- /dev/null
+++ b/sci-electronics/klayout/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for sci-electronics/klayout
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 15 Jun 2010; Andreas K. Huettel (dilfridge) <mail@akhuettel.de> ChangeLog:
+ Initial import from sunrise.
+
diff --git a/sci-electronics/klayout/Manifest b/sci-electronics/klayout/Manifest
new file mode 100644
index 000000000..d143b79ac
--- /dev/null
+++ b/sci-electronics/klayout/Manifest
@@ -0,0 +1,10 @@
+AUX klayout-0.19.3-Makefile.conf.linux-gentoo 864 RMD160 46d2bf5799b48958478be0af937ae8b3dfa9423b SHA1 9ec3ca764a22f4bbd64c107a7d2ca10d4af12588 SHA256 a44ebecc995bdb21e93234c9b3ee5225656307ade1c928374ce47cd841107470
+AUX klayout-0.19.3-configureonly.patch 767 RMD160 658e32a3a6349571e43a8872ed4ae434c40ad556 SHA1 de03b3d17aa6d54ac5daa1e6c2dc7d10ed53e573 SHA256 b2aa5fed607d300f389c10e976343a38f2b2a32b4fcb74d3abd57ffaea165f28
+AUX klayout-0.20-Makefile.conf.linux-gentoo 864 RMD160 46d2bf5799b48958478be0af937ae8b3dfa9423b SHA1 9ec3ca764a22f4bbd64c107a7d2ca10d4af12588 SHA256 a44ebecc995bdb21e93234c9b3ee5225656307ade1c928374ce47cd841107470
+AUX klayout-0.20-configureonly.patch 767 RMD160 658e32a3a6349571e43a8872ed4ae434c40ad556 SHA1 de03b3d17aa6d54ac5daa1e6c2dc7d10ed53e573 SHA256 b2aa5fed607d300f389c10e976343a38f2b2a32b4fcb74d3abd57ffaea165f28
+DIST klayout-0.19.3.tar.gz 1428534 RMD160 79efd5817d2d9f8e97039561aa5b9c281381c18d SHA1 6829f042aea70878fbc9e62f81109d45d5fc0525 SHA256 ba853af6f27c42faf4c15673eec8f4d534d373c2341ee3c4130825f88fcd3801
+DIST klayout-0.20.tar.gz 1579250 RMD160 b9f6269a0a2886a78d4da8862607331d288f1296 SHA1 c723900a0a071737cd42d1f082ff24d1cf48e0e0 SHA256 49961e31254ada29951d6a2d492684b71a1bed522e1457743c9f01bbbade0f30
+EBUILD klayout-0.19.3.ebuild 2006 RMD160 0b6886b025b20ba6afcb88fcf4b6df83a3f2f8e6 SHA1 8924709d31490909859949d0a573a8baf1e13f65 SHA256 70d19681ce4a6a560dab89932cd8b9217328971d396ecd25ebe12cad066548e2
+EBUILD klayout-0.20.ebuild 2006 RMD160 0b6886b025b20ba6afcb88fcf4b6df83a3f2f8e6 SHA1 8924709d31490909859949d0a573a8baf1e13f65 SHA256 70d19681ce4a6a560dab89932cd8b9217328971d396ecd25ebe12cad066548e2
+MISC ChangeLog 233 RMD160 dae4284c974c307b7ea69b73383810f531087ecf SHA1 80a35cc829aefa3834a574aa09f17a830d63ee6c SHA256 ff21fee5f380bcba86334624ddf964987967dfa6c854ad73cdddbfdd4d804232
+MISC metadata.xml 225 RMD160 aa7d7690bc9d41aa160500739ec29a5aecb24958 SHA1 a7fa143a3c80636c1f82827063de2327d4380d57 SHA256 3b760abcba804d12e90e8101abef730ff1be333e8c01f273f7a05e68f5f1df88
diff --git a/sci-electronics/klayout/files/klayout-0.19.3-Makefile.conf.linux-gentoo b/sci-electronics/klayout/files/klayout-0.19.3-Makefile.conf.linux-gentoo
new file mode 100644
index 000000000..d1e8baf52
--- /dev/null
+++ b/sci-electronics/klayout/files/klayout-0.19.3-Makefile.conf.linux-gentoo
@@ -0,0 +1,42 @@
+
+# Configuration file for gentoo-linux
+# Compiler options
+
+CCOPT_DEP=-MM -MG -x c++
+
+CCWARN=-Wall -pedantic -Wno-deprecated -Woverloaded-virtual \
+ -Wsign-promo -Wsynth -Wno-long-long -Wno-strict-aliasing
+
+CCOPT=-c -x c++ $(CXXFLAGS) -o
+CCOPT_SO=-fPIC $(CCOPT)
+
+INC=-I$(TOP_SOURCE) -I$(SOURCE) -I. -I$(QTINCLUDE)
+
+DEFS=-DQT_THREAD_SUPPORT -DQT3_SUPPORT
+
+# Linker options
+
+LOPT=-Wl,-E -o
+LOPT_SO=-shared -fPIC -o
+
+LIBS=-L$(QTLIB) -lQtGui -lQtCore -lQtXml -lrt -lstdc++ -lcrypt
+
+LINK=$(CXX)
+
+# The details for the install target (needed since 0.19.2)
+
+.PHONY: install
+install:
+ mkdir -p $(INSTALL_BINDIR)
+ cp main/$(EXEC_NAME) $(INSTALL_BINDIR)
+ for bin in $(OTHER_BIN) ; \
+ do \
+ cp main/$$bin $(INSTALL_BINDIR) ; \
+ done
+ for plugin in $(PLUGINS) ; \
+ do \
+ cp $$plugin/*.so $(INSTALL_BINDIR) ; \
+ done
+ chmod 755 $(INSTALL_BINDIR) $(INSTALL_BINDIR)/*
+
+
diff --git a/sci-electronics/klayout/files/klayout-0.19.3-configureonly.patch b/sci-electronics/klayout/files/klayout-0.19.3-configureonly.patch
new file mode 100644
index 000000000..74c2e7816
--- /dev/null
+++ b/sci-electronics/klayout/files/klayout-0.19.3-configureonly.patch
@@ -0,0 +1,37 @@
+--- klayout-0.18.1/build.sh 2009-08-02 15:17:12.000000000 -0400
++++ klayout-0.18.1/build.sh.new 2009-09-18 16:15:47.000000000 -0400
+@@ -237,34 +237,3 @@
+ echo "Building plugins: $PLUGINS"
+ echo ""
+
+-# -- Running build --
+-
+-echo "Running build .."
+-echo "$MAKE_PRG"
+-cd $BUILD
+-$MAKE_PRG $MAKE_OPT all || exit 1
+-echo ""
+-
+-cd $CURR_DIR
+-
+-# -- Installing binaries --
+-
+-echo "Installing binaries .."
+-cd $BUILD
+-$MAKE_PRG install
+-cd $CURR_DIR
+-echo "Build done."
+-
+-if [ $WIN_CYGWIN = 0 ]; then
+- echo ""
+- echo "Final binary is ready in $BIN/$EXEC_NAME."
+- echo "To run it, you may need to add the following to your LD_LIBRARY_PATH:"
+- echo "$QTLIB"
+-
+- LD_LIBRARY_PATH=$QTLIB:$LD_LIBRARY_PATH
+- $BIN/$EXEC_NAME -v
+- $BIN/$EXEC_NAME -h
+-fi
+-
+-exit 0
+-
diff --git a/sci-electronics/klayout/files/klayout-0.20-Makefile.conf.linux-gentoo b/sci-electronics/klayout/files/klayout-0.20-Makefile.conf.linux-gentoo
new file mode 100644
index 000000000..d1e8baf52
--- /dev/null
+++ b/sci-electronics/klayout/files/klayout-0.20-Makefile.conf.linux-gentoo
@@ -0,0 +1,42 @@
+
+# Configuration file for gentoo-linux
+# Compiler options
+
+CCOPT_DEP=-MM -MG -x c++
+
+CCWARN=-Wall -pedantic -Wno-deprecated -Woverloaded-virtual \
+ -Wsign-promo -Wsynth -Wno-long-long -Wno-strict-aliasing
+
+CCOPT=-c -x c++ $(CXXFLAGS) -o
+CCOPT_SO=-fPIC $(CCOPT)
+
+INC=-I$(TOP_SOURCE) -I$(SOURCE) -I. -I$(QTINCLUDE)
+
+DEFS=-DQT_THREAD_SUPPORT -DQT3_SUPPORT
+
+# Linker options
+
+LOPT=-Wl,-E -o
+LOPT_SO=-shared -fPIC -o
+
+LIBS=-L$(QTLIB) -lQtGui -lQtCore -lQtXml -lrt -lstdc++ -lcrypt
+
+LINK=$(CXX)
+
+# The details for the install target (needed since 0.19.2)
+
+.PHONY: install
+install:
+ mkdir -p $(INSTALL_BINDIR)
+ cp main/$(EXEC_NAME) $(INSTALL_BINDIR)
+ for bin in $(OTHER_BIN) ; \
+ do \
+ cp main/$$bin $(INSTALL_BINDIR) ; \
+ done
+ for plugin in $(PLUGINS) ; \
+ do \
+ cp $$plugin/*.so $(INSTALL_BINDIR) ; \
+ done
+ chmod 755 $(INSTALL_BINDIR) $(INSTALL_BINDIR)/*
+
+
diff --git a/sci-electronics/klayout/files/klayout-0.20-configureonly.patch b/sci-electronics/klayout/files/klayout-0.20-configureonly.patch
new file mode 100644
index 000000000..74c2e7816
--- /dev/null
+++ b/sci-electronics/klayout/files/klayout-0.20-configureonly.patch
@@ -0,0 +1,37 @@
+--- klayout-0.18.1/build.sh 2009-08-02 15:17:12.000000000 -0400
++++ klayout-0.18.1/build.sh.new 2009-09-18 16:15:47.000000000 -0400
+@@ -237,34 +237,3 @@
+ echo "Building plugins: $PLUGINS"
+ echo ""
+
+-# -- Running build --
+-
+-echo "Running build .."
+-echo "$MAKE_PRG"
+-cd $BUILD
+-$MAKE_PRG $MAKE_OPT all || exit 1
+-echo ""
+-
+-cd $CURR_DIR
+-
+-# -- Installing binaries --
+-
+-echo "Installing binaries .."
+-cd $BUILD
+-$MAKE_PRG install
+-cd $CURR_DIR
+-echo "Build done."
+-
+-if [ $WIN_CYGWIN = 0 ]; then
+- echo ""
+- echo "Final binary is ready in $BIN/$EXEC_NAME."
+- echo "To run it, you may need to add the following to your LD_LIBRARY_PATH:"
+- echo "$QTLIB"
+-
+- LD_LIBRARY_PATH=$QTLIB:$LD_LIBRARY_PATH
+- $BIN/$EXEC_NAME -v
+- $BIN/$EXEC_NAME -h
+-fi
+-
+-exit 0
+-
diff --git a/sci-electronics/klayout/klayout-0.19.3.ebuild b/sci-electronics/klayout/klayout-0.19.3.ebuild
new file mode 100644
index 000000000..916e1e022
--- /dev/null
+++ b/sci-electronics/klayout/klayout-0.19.3.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="Viewer and editor for GDS and OASIS integrated circuit layouts"
+HOMEPAGE="http://www.klayout.de/"
+SRC_URI="http://www.klayout.de/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ruby"
+
+RDEPEND="x11-libs/qt-gui:4[qt3support]
+ ruby? ( dev-lang/ruby )"
+
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-configureonly.patch"
+
+ # now we generate the stub build configuration file for the home-brew build system
+ cp "${FILESDIR}/${P}-Makefile.conf.linux-gentoo" "${S}/config/Makefile.conf.linux-gentoo" || die
+}
+
+src_configure() {
+ local rbinc rblib rbflags
+
+ if use ruby ; then
+
+ # get the location of the ruby.h header file
+ rbinc=$(ruby -rrbconfig -e "puts Config::CONFIG['archdir'] || Config::CONFIG['rubyhdrdir']")
+
+ # get the filename of libruby.so
+ rblib=$(ruby -rrbconfig -e "puts Config::CONFIG['LIBRUBY']")
+
+ rbflags="-rblib /usr/$(get_libdir)/${rblib} -rbinc ${rbinc}"
+
+ fi
+
+ ./build.sh \
+ -platform linux-gentoo \
+ -bin bin \
+ -qtbin /usr/bin \
+ -qtinc /usr/include/qt4 \
+ -qtlib /usr/$(get_libdir)/qt4 \
+ ${rbflags} || die "Configuration failed"
+}
+
+src_compile() {
+ cd build.linux-gentoo
+ tc-export CC CXX AR LD RANLIB
+ export AR="${AR} -r"
+ emake all || die "Build failed"
+}
+
+src_install() {
+ cd build.linux-gentoo
+ emake install || die "make install failed"
+
+ cd ..
+ dobin \
+ bin/klayout \
+ bin/strm2gds \
+ bin/strm2oas \
+ bin/strmclip \
+ bin/strmcmp || die "Installation of binaries failed"
+
+ insinto /usr/share/${PN}/testdata/gds
+ doins testdata/gds/*.gds || die "Installation of gds testdata failed"
+ insinto /usr/share/${PN}/testdata/oasis
+ doins testdata/oasis/*.oas testdata/oasis/*.ot || die "Installation of oasis testdata failed"
+
+ if use ruby; then
+ insinto /usr/share/${PN}
+ doins -r testdata/ruby || die "Installation of ruby testdata failed"
+ fi
+}
diff --git a/sci-electronics/klayout/klayout-0.20.ebuild b/sci-electronics/klayout/klayout-0.20.ebuild
new file mode 100644
index 000000000..916e1e022
--- /dev/null
+++ b/sci-electronics/klayout/klayout-0.20.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="Viewer and editor for GDS and OASIS integrated circuit layouts"
+HOMEPAGE="http://www.klayout.de/"
+SRC_URI="http://www.klayout.de/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ruby"
+
+RDEPEND="x11-libs/qt-gui:4[qt3support]
+ ruby? ( dev-lang/ruby )"
+
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-configureonly.patch"
+
+ # now we generate the stub build configuration file for the home-brew build system
+ cp "${FILESDIR}/${P}-Makefile.conf.linux-gentoo" "${S}/config/Makefile.conf.linux-gentoo" || die
+}
+
+src_configure() {
+ local rbinc rblib rbflags
+
+ if use ruby ; then
+
+ # get the location of the ruby.h header file
+ rbinc=$(ruby -rrbconfig -e "puts Config::CONFIG['archdir'] || Config::CONFIG['rubyhdrdir']")
+
+ # get the filename of libruby.so
+ rblib=$(ruby -rrbconfig -e "puts Config::CONFIG['LIBRUBY']")
+
+ rbflags="-rblib /usr/$(get_libdir)/${rblib} -rbinc ${rbinc}"
+
+ fi
+
+ ./build.sh \
+ -platform linux-gentoo \
+ -bin bin \
+ -qtbin /usr/bin \
+ -qtinc /usr/include/qt4 \
+ -qtlib /usr/$(get_libdir)/qt4 \
+ ${rbflags} || die "Configuration failed"
+}
+
+src_compile() {
+ cd build.linux-gentoo
+ tc-export CC CXX AR LD RANLIB
+ export AR="${AR} -r"
+ emake all || die "Build failed"
+}
+
+src_install() {
+ cd build.linux-gentoo
+ emake install || die "make install failed"
+
+ cd ..
+ dobin \
+ bin/klayout \
+ bin/strm2gds \
+ bin/strm2oas \
+ bin/strmclip \
+ bin/strmcmp || die "Installation of binaries failed"
+
+ insinto /usr/share/${PN}/testdata/gds
+ doins testdata/gds/*.gds || die "Installation of gds testdata failed"
+ insinto /usr/share/${PN}/testdata/oasis
+ doins testdata/oasis/*.oas testdata/oasis/*.ot || die "Installation of oasis testdata failed"
+
+ if use ruby; then
+ insinto /usr/share/${PN}
+ doins -r testdata/ruby || die "Installation of ruby testdata failed"
+ fi
+}
diff --git a/sci-electronics/klayout/metadata.xml b/sci-electronics/klayout/metadata.xml
new file mode 100644
index 000000000..7fe18f12b
--- /dev/null
+++ b/sci-electronics/klayout/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email>mail@akhuettel.de</email>
+ </maintainer>
+</pkgmetadata>